| Wheelchair Control Diploma Thesis, Author: Ondrej Vozda, FEEC BUT, 2013

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events Pages
Static Public Member Functions | Static Public Attributes | Static Private Member Functions | Static Private Attributes | List of all members
MyImageProcessingClasses.ImageProcessingTools Class Reference

Class which contains constants and static objects necessary for used image processing operations. More...

## Static Public Member Functions
static Image< Gray, Byte > | ThresholdImageInHSV (Image< Bgr, Byte > image, Hsv thresholdHSV)
| Threshold image in HSV space by specifeied HSV values. More...
static Point | FindCenter (Image< Gray, Byte > image)
| Find center of mass of whole input image. More...
static Rectangle | GetCenterRectangle (Image< Gray, Byte > image)
| Gets rectangle to draw ellipse. More...
static Rectangle | GetCenterRectangle (Point point)
| Gets rectangle to draw ellipse. More...
static Point | Center (this Rectangle rect)
| Extension method to calculate center of specified rectangle. More...

## Static Public Attributes
static readonly double | HUE_HYSTERESIS = 10.0
| Hysteresis of hue used for thresholding image. More...
static readonly double | SATURATION_HYSTERESIS = 100.0
| Hysteresis of saturation used for thresholding image. More...
static readonly Byte | ENCODER_PARAMETER_FIRST = 0
| Index of first jpeg encoder parameter. More...
static Font | myFont = new Font(FontFamily.GenericSansSerif, 8f)
| Font for graphic labels. More...
static Brush[] | myBrushes
| Brushes to paint detected center of marks. More...
static Point | defaultPoint = new Point(0, 0)
| Defualt point (left upper corner of the image). More...
static StructuringElementEx | StructEl_circle_5_5 = new StructuringElementEx(5, 5, 2, 2, Emgu.CV.CvEnum.CV_ELEMENT_SHAPE.CV_SHAPE_ELLIPSE)
| Structuring element for morphological operations. More...
static ImageCodecInfo | jpegCodec = GetEncoder(ImageFormat.Jpeg)
| Jpeg encoder. More...
static System.Drawing.Imaging.Encoder | cameraFrameEncoder = System.Drawing.Imaging.Encoder.Quality
| Encoder to process camera frame before it is sent. More...
static EncoderParameters | cameraFrameEncoderParameters = new EncoderParameters()
| Container of encoder parameters. More...
static EncoderParameter[] | cameraFrameEncoderParameter = CreateJpegEncoderParametersArray()
| Array of 100 elements representing jpeg encoder with compression level corresponding with its index. More...

## Static Private Member Functions
static EncoderParameter[] | CreateJpegEncoderParametersArray ()
| Return array of 100 elements representing jpeg encoder with compression level corresponding with its index. More...
static ImageCodecInfo | GetEncoder (ImageFormat format)
| Get encoder for specified image format. More...

## Static Private Attributes
static readonly Int32 | CENTER_RESTANGLE_SIZE = 15
| Size of rectangle used to visualize center of detected mark. More...

## Detailed Description

Class which contains constants and static objects necessary for used image processing operations.

Definition at line 21 of file MyImageProcessingClasses.cs.

## Member Function Documentation

static Point MyImageProcessingClasses.ImageProcessingTools.Center | ( | this Rectangle | rect | ) |
| static

Extension method to calculate center of specified rectangle.

Parameters

  rect | Rectangle.

Returns
  Center coordinates.

Definition at line 247 of file MyImageProcessingClasses.cs.

static EncoderParameter [] MyImageProcessingClasses.ImageProcessingTools.CreateJpegEncoderParametersArray | ( |  | ) |
| static private

Return array of 100 elements representing jpeg encoder with compression level corresponding with its index.

Returns
  Encoder parameters array.

Definition at line 100 of file MyImageProcessingClasses.cs.

static Point MyImageProcessingClasses.ImageProcessingTools.FindCenter | ( | Image< Gray, Byte > | image | ) |
| static

Find center of mass of whole input image.

Parameters

  image | Input image.

Returns
  Point of center of mass.

Definition at line 168 of file MyImageProcessingClasses.cs.

static Rectangle MyImageProcessingClasses.ImageProcessingTools.GetCenterRectangle | ( | Image< Gray, Byte > | image | ) |
| static

Gets rectangle to draw ellipse.

Parameters

  image | Thresholded image.

Returns
  Rectangle surrounding centre of geometric moments of the image.

Definition at line 198 of file MyImageProcessingClasses.cs.

static Rectangle MyImageProcessingClasses.ImageProcessingTools.GetCenterRectangle | ( | Point | point | ) |
| static

Gets rectangle to draw ellipse.

Parameters

  point | Point to surround.

Returns
  Rectangle surrounding specified point.

Definition at line 224 of file MyImageProcessingClasses.cs.

static ImageCodecInfo MyImageProcessingClasses.ImageProcessingTools.GetEncoder | ( | ImageFormat | format | ) |
| static private

Get encoder for specified image format.

Parameters

  format | Image format to get encoder for.

Returns
  Image codec info.

Definition at line 117 of file MyImageProcessingClasses.cs.

static Image<Gray, Byte> MyImageProcessingClasses.ImageProcessingTools.ThresholdImageInHSV | ( | Image< Bgr, Byte > | image,
|  | Hsv | thresholdHSV
| ) |  |
| static

Threshold image in HSV space by specifeied HSV values.

Parameters

  image | BGR Image to be thresholded.
  thresholdHSV | HSV values to be used for thresholding.

Returns
  Thresholded Gray Image.

Definition at line 139 of file MyImageProcessingClasses.cs.

## Member Data Documentation

System.Drawing.Imaging.Encoder MyImageProcessingClasses.ImageProcessingTools.cameraFrameEncoder = System.Drawing.Imaging.Encoder.Quality
| static

Encoder to process camera frame before it is sent.

Definition at line 80 of file MyImageProcessingClasses.cs.

EncoderParameter [] MyImageProcessingClasses.ImageProcessingTools.cameraFrameEncoderParameter = CreateJpegEncoderParametersArray()
| static

Array of 100 elements representing jpeg encoder with compression level corresponding with its index.

Definition at line 90 of file MyImageProcessingClasses.cs.

EncoderParameters MyImageProcessingClasses.ImageProcessingTools.cameraFrameEncoderParameters = new EncoderParameters()
| static

Container of encoder parameters.

Definition at line 85 of file MyImageProcessingClasses.cs.

readonly Int32 MyImageProcessingClasses.ImageProcessingTools.CENTER_RESTANGLE_SIZE = 15
| static private

Size of rectangle used to visualize center of detected mark.

Definition at line 43 of file MyImageProcessingClasses.cs.

Point MyImageProcessingClasses.ImageProcessingTools.defaultPoint = new Point(0, 0)
| static

Defualt point (left upper corner of the image).

Definition at line 65 of file MyImageProcessingClasses.cs.

readonly Byte MyImageProcessingClasses.ImageProcessingTools.ENCODER_PARAMETER_FIRST = 0
| static

Index of first jpeg encoder parameter.

Definition at line 38 of file MyImageProcessingClasses.cs.

readonly double MyImageProcessingClasses.ImageProcessingTools.HUE_HYSTERESIS = 10.0
| static

Hysteresis of hue used for thresholding image.

Definition at line 28 of file MyImageProcessingClasses.cs.

ImageCodecInfo MyImageProcessingClasses.ImageProcessingTools.jpegCodec = GetEncoder(ImageFormat.Jpeg)
| static

Jpeg encoder.

Definition at line 75 of file MyImageProcessingClasses.cs.

Brush [] MyImageProcessingClasses.ImageProcessingTools.myBrushes
| static

Initial value:
= { new SolidBrush(Color.GreenYellow),
new SolidBrush(Color.Red),
new SolidBrush(Color.Blue),
new SolidBrush(Color.Yellow)}

Brushes to paint detected center of marks.

Definition at line 57 of file MyImageProcessingClasses.cs.

Font MyImageProcessingClasses.ImageProcessingTools.myFont = new Font(FontFamily.GenericSansSerif, 8f)
| static

Font for graphic labels.

Definition at line 52 of file MyImageProcessingClasses.cs.

readonly double MyImageProcessingClasses.ImageProcessingTools.SATURATION_HYSTERESIS = 100.0
| static

Hysteresis of saturation used for thresholding image.

Definition at line 33 of file MyImageProcessingClasses.cs.

StructuringElementEx MyImageProcessingClasses.ImageProcessingTools.StructEl_circle_5_5 = new StructuringElementEx(5, 5, 2, 2, Emgu.CV.CvEnum.CV_ELEMENT_SHAPE.CV_SHAPE_ELLIPSE)
| static

Structuring element for morphological operations.

Definition at line 70 of file MyImageProcessingClasses.cs.

The documentation for this class was generated from the following file:

- C:/Users/Ondra/Desktop/Wheelchair Control/MyImageProcessingClasses.cs